
#define _C_moy_olymp_4

/*
 * ----------------------------------------------------------------------------
 *
 * Fichier	: moy_olymp_4.c
 * Langage	: C ANSI
 * Auteur	: F. Boyer
 * Creation	: 25 aout 1997
 * ----------------------------------------------------------------------------
 * Description	:
 *	Programme calculant la moyenne olympique de quatre valeurs reelles
 *      saisies interactivement.
 * ----------------------------------------------------------------------------
 * Interventions
 * >>>>>>>>>>>>>
 * ----------------------------------------------------------------------------
 * Fonctions definies
 * Locales	: max_2,
 *                min_2,
 *                max_4,
 *                min_4
 *                lire_reel
 *                aff_reel
 *                aff_chaine
 * Exportees	: main.
 *
 * ----------------------------------------------------------------------------
 */

/****************************************************************************/
/*------------------- INCLUSION DES INTERFACES SYSTEMES --------------------*/
/****************************************************************************/
#include <stdio.h>

/****************************************************************************/
/*----------------- INCLUSION DES INTERFACES APPLICATIVES ------------------*/
/****************************************************************************/


/****************************************************************************/
/*------------------- CONSTANTES, MACROS & TYPES LOCAUX --------------------*/
/****************************************************************************/


/****************************************************************************/
/*------------------- SIGNATURES DES FONCTIONS LOCALES ---------------------*/
/****************************************************************************/
static float max_2(float, float);
static float min_2(float, float);
static float max_4(float, float, float, float);
static float min_4(float, float, float, float);
static void aff_chaine(char *);
static float lire_reel();
static void aff_reel(float);
/****************************************************************************/
/*------------------- DEFINITIONS DES VARIABLES LOCALES --------------------*/
/****************************************************************************/

/****************************************************************************/
/*------------------- IMPLANTATION DES FONCTIONS LOCALES -------------------*/
/****************************************************************************/
/*
 * ----------------------------------------------------------------------------
 *
 * Fonction     : max_2
 * Resultat     : float
 * Parametres   :
 * Nom          Type            Role
 * v1           float           1ere valeur a comparer          
 * v2           float           2eme valeur a comparer
 * Description  :
 * retourne le maximum de 2 valeurs reelles
 * ----------------------------------------------------------------------------
 */

static float max_2(
	float v1,
	float v2) 
{
  /* A COMPLETER */
}

/*
 * ----------------------------------------------------------------------------
 *
 * Fonction     : min_2
 * Resultat     : float
 * Parametres   :
 * Nom          Type            Role
 * v1           float           1ere valeur a comparer
 * v2           float           2eme valeur a comparer
 * Description  :
 * retourne le minimum de 2 valeurs reelles
 * ----------------------------------------------------------------------------
 */

static float min_2(
	float v1,
	float v2) 
{
  /* A COMPLETER */

}	
/*
 * ----------------------------------------------------------------------------
 *
 * Fonction     : max_4
 * Resultat     : float
 * Parametres   :
 * Nom          Type            Role
 * v1           float           1ere valeur a comparer
 * v2           float           2eme valeur a comparer
 * v3           float           3eme valeur a comparer
 * v4           float           4eme valeur a comparer
 * Description  :
 * retourne le maximum des 4 valeurs reelles
 * ----------------------------------------------------------------------------
 */
static float max_4(
	float v1,
	float v2,
	float v3,
	float v4)
{  
/* A COMPLETER */

}

/*
 * ----------------------------------------------------------------------------
 *
 * Fonction     : min_4
 * Resultat     : float
 * Parametres   :
 * Nom          Type            Role
 * v1           float            1ere valeur a comparer
 * v2           float            2eme valeur a comparer
 * v3           float            3eme valeur a comparer 
 * v4           float            4eme valeur a comparer
 * Description  :
 * retourne le minimum des 4 valeurs reelles
 * ----------------------------------------------------------------------------
 */
static float min_4(
	float v1,
	float v2,
	float v3,
	float v4)
{
  /* A COMPLETER */
}

/*/*
 * ----------------------------------------------------------------------------
 *
 * Fonction	: lire_reel
 * Resultat	: float
 * Parametres	:
 * Nom		Type		Role
 * Description	:
 * affiche un message demandant a l'utilisateur de saisir un reel.
 * retourne l'entier saisi.
 * ----------------------------------------------------------------------------
 */
static float lire_reel(
	void)
 {
  	float reel;

	printf("Tapez un reel :");
	fflush(stdin);
	scanf("%f", &reel);
	return(reel);
 } 

/*
 * ----------------------------------------------------------------------------
 *
 * Fonction	: aff_chaine
 * Resultat	: void		Aucun.
 * Parametres	:
 * Nom		Type		Role
 * ch           char *          la chaine a afficher
 * Description	:
 * affiche ch a l'ecran
 * ----------------------------------------------------------------------------
 */
 static void aff_chaine(
	char * ch)
 	{
	printf(ch);
 	}
/*
 * ----------------------------------------------------------------------------
 *
 * Fonction	: aff_reel
 * Resultat	: void	
 * Parametres	:
 * Nom		Type		Role
 * ent          long            le reel a afficher
 * Description	:
 * affiche un reel a l'ecran
 * ----------------------------------------------------------------------------
 */
 static void aff_reel(
	float reel)
{
	printf("%f", reel);
 }

/****************************************************************************/
/*------------------ IMPLANTATION DES FONCTIONS EXPORTEES ------------------*/
/****************************************************************************/

/*
 * ----------------------------------------------------------------------------
 *
 * Fonction	: main
 * Resultat	: 		Code d'erreur commande.
 * Parametres	:
 * Nom		Type		Role
 *
 * Description	:
 *	Point d'entree du programme "moy_olymp_4" obtenu par compilation du fichier
 * "moy_olymp_4.c" (gcc -o moy_olymp_4 moy_olymp_4.c).
 *
 * ----------------------------------------------------------------------------
 */
main()
{
	float v1;
	float v2;
	float v3;
	float v4;
        float mo;

	aff_chaine("*********************************************************\n");
	aff_chaine("***   Moyenne  olympique de quatres valeurs entieres  ***\n");
	aff_chaine("*********************************************************\n");


       /* A COMPLETER */

	return(0);

 }
         
